Get a booking
curl --request GET \
--url https://api.spacebring.com/resources/bookings/v1/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/resources/bookings/v1/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/resources/bookings/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"booking": {
"attendees": [
{
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"about": "<string>",
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
],
"createDate": "2023-11-07T05:31:56Z",
"deleteDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"membershipRefOwner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {
"amount": 123,
"currencyCode": "<string>",
"invoiceItemRef": "<string>",
"tax": {
"inclusive": true,
"rate": 123
},
"transactionRef": "<string>"
},
"payments": [
{
"amount": 123,
"currencyCode": "<string>",
"invoiceItemRef": "<string>",
"tax": {
"inclusive": true,
"rate": 123
},
"transactionRef": "<string>"
}
],
"resourceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seats": 123,
"startDate": "2023-11-07T05:31:56Z",
"title": "<string>",
"updateDate": "2023-11-07T05:31:56Z",
"userOwner": {
"about": "<string>",
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
}{
"message": "<string>",
"type": "<string>"
}Resources
Get a booking
Get a booking.
OAuth
Required scopes:resources.readonly or resourcesGET
/
resources
/
bookings
/
v1
/
{id}
Get a booking
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the booking.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I